ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Carr (Updated) (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (IVYDE-297) ivy.xsd bundled with IvyDE appears to be incorrect
Date Thu, 08 Mar 2012 15:41:57 GMT

     [ https://issues.apache.org/jira/browse/IVYDE-297?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

David Carr updated IVYDE-297:
-----------------------------

    Description: 
In IvyDE 2.2.0 with Eclipse Indigo SR2, when I open an ivy.xml file with an XML schema declaration
in the XML editor as opposed to the Ivy editor, I get the following error on the extends element.
 An example ivy.xml is also included below.

It looks to me like IvyDE registered a copy of ivy.xsd that it bundles in the Eclipse XML
Catalog for key "http://ant.apache.org/ivy/schemas/ivy.xsd", and it is using that copy in
preference to the one on the Ivy website.  However, looking at the source bundle for apache-ivyde-sources-2.1.0.201008101807-RELEASE,
it looks like org.apache.ivyde.eclipse\xsd\ivy.xsd doesn't include the extends element that
the official version of ivy.xsd contains.  I haven't checked for other discrepancies.

cvc-complex-type.2.4.a: Invalid content was found starting with element 'extends'.  One of
'{license, ivyauthor, repository, description, WC[##other:""]}' is expected.

<?xml version="1.0" encoding="UTF-8"?>
<ivy-module version="2.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ant.apache.org/ivy/schemas/ivy.xsd">
    <info organisation="com.commercehub"
        module="appd"
        revision="viewlocal"
        status="integration"
        publication="20120222163738"
    >
        <extends organisation="com.commercehub" module="jar" revision="1.0.0" extendType="all"/>
        <description />
    </info>
    <!-- other stuff here removed -->
</ivy-module>

  was:
In IvyDE 2.2.0 with Eclipse Indigo SR2, when I open an ivy.xml file with an XML schema declaration
(example ivy.xml included below), I get the following error on the extends element.

cvc-complex-type.2.4.a: Invalid content was found starting with element 'extends'.  One of
'{license, ivyauthor, repository, description, WC[##other:""]}' is expected.

It looks to me like IvyDE registered a copy of ivy.xsd that it bundles in the Eclipse XML
Catalog for key "http://ant.apache.org/ivy/schemas/ivy.xsd", and it is using that copy in
preference to the one on the Ivy website.  However, looking at the source bundle for apache-ivyde-sources-2.1.0.201008101807-RELEASE,
it looks like org.apache.ivyde.eclipse\xsd\ivy.xsd doesn't include the extends element that
the official version of ivy.xsd contains.  I haven't checked for other discrepancies.

<?xml version="1.0" encoding="UTF-8"?>
<ivy-module version="2.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ant.apache.org/ivy/schemas/ivy.xsd">
    <info organisation="com.commercehub"
        module="appd"
        revision="viewlocal"
        status="integration"
        publication="20120222163738"
    >
        <extends organisation="com.commercehub" module="jar" revision="1.0.0" extendType="all"/>
        <description />
    </info>
    <!-- other stuff here removed -->
</ivy-module>


    
> ivy.xsd bundled with IvyDE appears to be incorrect
> --------------------------------------------------
>
>                 Key: IVYDE-297
>                 URL: https://issues.apache.org/jira/browse/IVYDE-297
>             Project: IvyDE
>          Issue Type: Bug
>          Components: ivy editor
>    Affects Versions: 2.1.0
>            Reporter: David Carr
>            Priority: Minor
>
> In IvyDE 2.2.0 with Eclipse Indigo SR2, when I open an ivy.xml file with an XML schema
declaration in the XML editor as opposed to the Ivy editor, I get the following error on the
extends element.  An example ivy.xml is also included below.
> It looks to me like IvyDE registered a copy of ivy.xsd that it bundles in the Eclipse
XML Catalog for key "http://ant.apache.org/ivy/schemas/ivy.xsd", and it is using that copy
in preference to the one on the Ivy website.  However, looking at the source bundle for apache-ivyde-sources-2.1.0.201008101807-RELEASE,
it looks like org.apache.ivyde.eclipse\xsd\ivy.xsd doesn't include the extends element that
the official version of ivy.xsd contains.  I haven't checked for other discrepancies.
> cvc-complex-type.2.4.a: Invalid content was found starting with element 'extends'.  One
of '{license, ivyauthor, repository, description, WC[##other:""]}' is expected.
> <?xml version="1.0" encoding="UTF-8"?>
> <ivy-module version="2.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ant.apache.org/ivy/schemas/ivy.xsd">
>     <info organisation="com.commercehub"
>         module="appd"
>         revision="viewlocal"
>         status="integration"
>         publication="20120222163738"
>     >
>         <extends organisation="com.commercehub" module="jar" revision="1.0.0" extendType="all"/>
>         <description />
>     </info>
>     <!-- other stuff here removed -->
> </ivy-module>

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message